Eclipse Platform Release 3.7

## org.eclipse.jface.text.templates
Class GlobalTemplateVariables

    java.lang.Object
      org.eclipse.jface.text.templates.GlobalTemplateVariables

    public class GlobalTemplateVariables

extends Object

Global variables which are available in any context.

Clients may instantiate the classes contained within this class.

Since:
  3.0

Nested Class Summary
`static class` `GlobalTemplateVariables.Cursor` The cursor variable determines the cursor placement after template edition.
`static class` `GlobalTemplateVariables.Date` The date variable evaluates to the current date.
`static class` `GlobalTemplateVariables.Dollar` The dollar variable inserts an escaped dollar symbol.
`static class` `GlobalTemplateVariables.LineSelection` The line selection variable determines templates that work on selected lines.
`static class` `GlobalTemplateVariables.Time` The time variable evaluates to the current time.
`static class` `GlobalTemplateVariables.User` The user variable evaluates to the current user.
`static class` `GlobalTemplateVariables.WordSelection` The word selection variable determines templates that work on a full lines selection.
`static class` `GlobalTemplateVariables.Year` The year variable evaluates to the current year.

Field Summary
`static String` `SELECTION` The type of the selection variables.

Constructor Summary
`GlobalTemplateVariables()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTION

    public static final String SELECTION

  The type of the selection variables.

  See Also:
    Constant Field Values

Constructor Detail

### GlobalTemplateVariables

    public GlobalTemplateVariables()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.